import { jsx } from "react/jsx-runtime";
import { TokenHAI as TokenHAI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHAI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "HAI", "data-name": "TokenHAI", ...props, children: /* @__PURE__ */ jsx(TokenHAI$1, { variant }) });
  }
);
TokenHAI.displayName = "TokenHAI";
Object.assign(TokenHAI, { isGdsIcon: true });
export {
  TokenHAI
};
